#
# spec file for package lineak_kde (Version 0.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio lineakd lineakd-devel linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline rpm sed sgml-skel strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           lineak_kde
BuildRequires:  kdelibs3-devel lineakd-devel
URL:            http://lineak.sourceforge.net/
License:        GNU General Public License (GPL)
Group:          Hardware/Other
Provides:       klineakconfig
Summary:        Plug-Ins and Add-Ons for KDE for the Linux Support for Easy Access and Internet Keyboards
Version:        0.9
Release:        27.2
Source:         lineak-kdeplugins-%{version}.tar.bz2
Patch:          lineak-kdeplugins-%{version}.diff
Source2:        klineakconfig-%{version}.tar.bz2
Source3:        klineakconfig.m4.in
Patch2:         klineakconfig-%{version}.diff
Patch3:         kdeplugins_m4_fixes.diff
Patch4:         klineakconfig-%{version}-fixsegfault.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
Requires:       lineakd

%description
LinEAK is a utility designed to enable the use and configuration of
those special keys on Internet, Easy Access, and Multimedia keyboards
in Linux. The package contains the plug-ins for the use of various KDE
applications. The lineakd package must be installed.



Authors:
--------
    Sheldon Lee Wen <leewsb@hotmail.com>
    Mark Smulders <Mark@PIRnet.nl>

%debug_package
%prep
%setup -q -n lineak-kdeplugins-%{version}
%patch -p1
%patch3 -p1
. /etc/opt/kde3/common_options
# very dirty hack for avoiding dependency-problems
cp admin/lineak.m4.in .
update_admin --no-unsermake
%setup -q -n klineakconfig-%{version} -D -T -b 2
%patch2 -p1
%patch4 -p0
cp %{SOURCE3} klineakconfig.m4.in
. /etc/opt/kde3/common_options
update_admin --no-unsermake

%build
cd ../lineak-kdeplugins-%{version}
. /etc/opt/kde3/common_options
./configure $configkde --disable-final \
  --with-lineak_plugindir=%{_libdir}/lineakd/plugins
do_make %{?jobs:-j %jobs}
cd ../klineakconfig-%{version}
. /etc/opt/kde3/common_options
./configure $configkde --disable-final \
  --with-lineak_plugindir=%{_libdir}/lineakd/plugins
do_make

%install
rm -rf $RPM_BUILD_ROOT
cd ../lineak-kdeplugins-%{version}
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
gzip     $RPM_BUILD_ROOT/%{_mandir}/man1/lineak_kdeplugins.1
cd ../klineakconfig-%{version}
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/applications/kde/
mv $RPM_BUILD_ROOT/opt/kde3/share/applnk/Applications/* \
   $RPM_BUILD_ROOT/opt/kde3/share/applications/kde/
rm -rf $RPM_BUILD_ROOT/opt/kde3/share/icons/locolor/
# we don't need them
rm  $RPM_BUILD_ROOT/%{_libdir}/lineakd/plugins/*.la
kde_post_install
%suse_update_desktop_file klineakconfig Utility Settings

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%dir /opt/kde3/share/icons/hicolor/16x16
%dir /opt/kde3/share/icons/hicolor/32x32
%{_libdir}/lineakd/plugins/*
%{_mandir}/man1/lineak_kdeplugins.1.gz
/opt/kde3/bin/klineakconfig
/opt/kde3/share/applications/kde/*.desktop
/opt/kde3/share/apps/klineakconfig
/opt/kde3/share/icons/*/*/apps
%dir /opt/kde3/share/locale/de
%dir /opt/kde3/share/locale/de/LC_MESSAGES
/opt/kde3/share/locale/de/LC_MESSAGES/klineakconfig.mo
%dir /opt/kde3/share/locale/es
%dir /opt/kde3/share/locale/es/LC_MESSAGES
/opt/kde3/share/locale/es/LC_MESSAGES/klineakconfig.mo
%doc %lang(en) /opt/kde3/share/doc/HTML/en/klineakconfig

%changelog -n lineak_kde
* Mon Dec 04 2006 - hschaa@suse.de
- fix "klineakconfig-0.9-fixsegfault.diff" to prevent segfault when
  starting klineakconfig (Novell Bug #225168)
* Thu Sep 07 2006 - hschaa@suse.de
- updated lineak_kdeplugins and klineakconfig to 0.9
* Tue Sep 05 2006 - ro@suse.de
- no parallel build in klineakconfig
* Thu Jun 15 2006 - dmueller@suse.de
- build parallel
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 05 2005 - behlert@suse.de
- updated lineak_kdeplugins to 0.8.4
- updated klineakconfig  to 0.8-beta2
* Sat Nov 12 2005 - dmueller@suse.de
- fix filelist
* Wed Jul 13 2005 - behlert@suse.de
- removed *la-files
- added lineakd-devel to neededforbuild
- updated to current CVS-version
* Wed Apr 27 2005 - behlert@suse.de
- updated lineak_kdeplugins to 0.8.3
- fixed problem with new enabled linker-flags
- included fix into klineakconfig.m4.in, too
* Fri Feb 18 2005 - behlert@suse.de
- updated to cvs, now it works again with new lineakd-package
* Sun Jan 09 2005 - adrian@suse.de
- fix build, disable unsermake
* Mon Dec 13 2004 - behlert@suse.de
- added dirs to spec-file.
* Wed Nov 03 2004 - behlert@suse.de
- updated to 0.8.2 resp. 0.8-beta1
- added dkukawka@suse.de's patches
* Thu Aug 12 2004 - behlert@suse.de
- updated to beta4: bugfixes and adaptions for newer KDE-Versions
- fixed patch-file, some of it is now in mainline
- using our own kde-admin breaks autoconfiguration due to then
  missing file, fixed
* Wed Apr 28 2004 - behlert@suse.de
- update to kdeplugins-0.8beta3: smaller fixes
- adaptions for lineakd-0.8beta3
* Thu Mar 18 2004 - behlert@suse.de
- fixed crash when loading kmixplugin
* Sun Feb 29 2004 - adrian@suse.de
- define propeper Categories for desktop file
- clean up icon files
- move desktop file to the new default place
* Sat Feb 28 2004 - ro@suse.de
- added directories to filelist
* Fri Feb 27 2004 - behlert@suse.de
- added klineakconfig-package - a graphical Konfigurator for the (basic)
  lineakd. A few beautifications in the spec-file are still needed, but the
  configurator looks good
* Wed Feb 18 2004 - ro@suse.de
- use update-admin from KDE
- build as non-root
- cleanup specfile
* Tue Feb 17 2004 - behlert@suse.de
- builds now on 64bit
* Mon Feb 16 2004 - behlert@suse.de
- initial version
